# RSL_get_window_from_...

### Synopsis

#include "rsl.h"
Ray *RSL_get_window_from_ray(Ray *r, float min_range, float max_range, float low_azim, float hi_azim);
Sweep *RSL_get_window_from_sweep(Sweep *s, float min_range, float max_range, float low_azim, float hi_azim);
Volume *RSL_get_window_from_volume(Volume *v, float min_range, float max_range, float low_azim, float hi_azim);
Radar *RSL_get_window_from_radar(Radar *r, float min_range, float max_range, float low_azim, float hi_azim);

###

Description

RSL_get_window_from_radar calls RSL_get_window_from_volume for the number of volumes.
RSL_get_window_from_volume calls RSL_get_window_from_sweep for the number of sweeps.
RSL_get_window_from_sweep calls RSL_get_window_from_ray for the number of rays.
RSL_get_window_from_ray gets window, between low_azim and hi_azim (degrees), from min_range to max_range (km).

### Return value

Upon successful completion, a pointer to the appropriate structure is returned.

### See also

rsl/examples/test_get_win.c

Author: John H. Merritt